Skip to main content
GET
/
api
/
mcp
/
tool
/
detail
Get Tool Detail
curl --request GET \
  --url https://analyst.heyhumm.ai/api/mcp/tool/detail
{
  "organization_id": "<string>",
  "tool_name": "<string>",
  "tool_type": "<string>",
  "description": "<string>",
  "input_schema": {},
  "output_schema": {},
  "data_source_id": "<string>",
  "parameters": [
    {
      "name": "<string>",
      "type": "<string>",
      "required": true,
      "description": "<string>"
    }
  ],
  "tables": [
    {
      "table_name": "<string>",
      "qualified_name": "<string>",
      "schema_name": "<string>",
      "description": "<string>"
    }
  ],
  "schema_available": true,
  "json_schema": {}
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-Organization-Id
string | null

Query Parameters

tool_name
string | null
data_source_id
string | null
org_id
string | null

Response

Successful Response

organization_id
string
required
tool_name
string
required
tool_type
string
required
description
string
required
input_schema
Input Schema · object
required
output_schema
Output Schema · object
required
data_source_id
string | null
parameters
McpParameterDefinition · object[] | null
tables
McpTableInfo · object[] | null
schema_available
boolean | null
json_schema
Json Schema · object